<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/container"
    android:background="@drawable/app_bottom_dialog_bg"
    android:layout_width="match_parent"
    android:layout_height="595dp">

     <TextView
         app:layout_constraintEnd_toEndOf="parent"
         app:layout_constraintStart_toStartOf="parent"
         app:layout_constraintTop_toTopOf="parent"
         android:textColor="#141C30"
         android:textSize="36sp"
         android:text="选择收款方式"
         android:layout_marginTop="38dp"
         android:layout_width="wrap_content"
         android:layout_height="wrap_content"/>

     <ImageView
         android:id="@+id/ivClose"
         android:layout_width="40dp"
         android:layout_height="40dp"
         android:layout_marginTop="38dp"
         android:layout_marginEnd="38dp"
         android:padding="7dp"
         android:src="@mipmap/ic_close"
         app:layout_constraintEnd_toEndOf="parent"
         app:layout_constraintTop_toTopOf="parent"
         android:layout_marginRight="38dp" />

     <androidx.constraintlayout.widget.ConstraintLayout
         android:id="@+id/cWxPay"
         android:layout_width="match_parent"
         android:layout_height="104dp"
         android:layout_marginTop="150dp"
         android:background="@drawable/app_payway_choose_btn"
         app:layout_constraintTop_toTopOf="parent">

        <ImageView
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_width="42dp"
            android:layout_height="37dp"
            android:src="@mipmap/ic_wxpay"
            android:layout_marginStart="47dp"
            android:layout_marginLeft="47dp" />

         <TextView
             app:layout_constraintTop_toTopOf="parent"
             app:layout_constraintBottom_toBottomOf="parent"
             app:layout_constraintStart_toStartOf="parent"
             android:layout_width="wrap_content"
             android:layout_height="wrap_content"
             android:textColor="#333333"
             android:textSize="32sp"
             android:layout_marginStart="120dp"
             android:layout_marginLeft="120dp"
             android:text="微信收款码"/>

         <ImageButton
             android:id="@+id/ivWxPayChoose"
             app:layout_constraintTop_toTopOf="parent"
             app:layout_constraintBottom_toBottomOf="parent"
             app:layout_constraintEnd_toEndOf="parent"
             android:layout_width="50dp"
             android:layout_height="50dp"
             android:background="@null"
             android:src="@drawable/app_pay_way_choosed"
             android:layout_marginEnd="32dp"
             android:layout_marginRight="32dp"
             android:layout_marginStart="47dp"
             android:layout_marginLeft="47dp" />

     </androidx.constraintlayout.widget.ConstraintLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cAliPay"
        android:layout_width="match_parent"
        android:layout_height="104dp"
        android:layout_marginTop="254dp"
        android:background="@drawable/app_payway_choose_btn"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_width="42dp"
            android:layout_height="37dp"
            android:src="@mipmap/ic_alipay"
            android:layout_marginStart="47dp"
            android:layout_marginLeft="47dp" />

        <TextView
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="#333333"
            android:textSize="32sp"
            android:layout_marginStart="120dp"
            android:layout_marginLeft="120dp"
            android:text="支付宝收款码"/>

        <ImageButton
            android:id="@+id/ibAliPayChoose"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginEnd="32dp"
            android:layout_marginRight="32dp"
            android:background="@null"
            android:src="@drawable/app_pay_way_choosed"
            android:layout_marginStart="47dp"
            android:layout_marginLeft="47dp" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <Button
        android:id="@+id/tvGeneratePayCode"
        android:layout_width="656dp"
        android:layout_height="100dp"
        android:layout_gravity="start"
        android:layout_marginTop="142dp"
        android:text="生成收款码"
        android:background="@color/colorPrimary"
        android:textSize="32sp"
        android:layout_marginBottom="63dp"
        android:textColor="@color/white"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintVertical_bias="0.2" />

</androidx.constraintlayout.widget.ConstraintLayout>